NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Die::CastReliefBuilder Class Reference

Represents a NXOpen::Die::CastReliefBuilder builder
To create a new instance of this class, use NXOpen::Die::DieCollection::CastRelief
Default values. More...

Inheritance diagram for NXOpen::Die::CastReliefBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance
Created in NX6.0.0. More...
 
NXOpen::Die::DiePlaneBuilderBaseOrientation ()
 Returns the base orientation of the die casting used for orienting the relief construction
Created in NX6.0.0. More...
 
bool CreateSupportCasting ()
 Returns the value (true or false) to decide if support casting should be created
Created in NX6.0.0. More...
 
double DistanceTolerance ()
 Returns the distance tolerance
Created in NX6.0.0. More...
 
NXOpen::ExpressionReliefDepth ()
 Returns the depth value of the relief
Created in NX6.0.0. More...
 
NXOpen::SectionReliefProfile ()
 Returns the closed profiles used for determining the relief
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectReliefSheet ()
 Returns the sheet to offset to specify the relief surface
Created in NX6.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance
Created in NX6.0.0. More...
 
void SetCreateSupportCasting (bool createSupportCasting)
 Sets the value (true or false) to decide if support casting should be created
Created in NX6.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectSheetMetal ()
 Returns the sheet that specifies the sheet metal surface
Created in NX6.0.0. More...
 
NXOpen::SelectNXObjectTarget ()
 Returns the target solid the relief will be united with
Created in NX6.0.0. More...
 
NXOpen::ExpressionThickness ()
 Returns the thickness value of the support casting surrounding the relief
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Die::CastReliefBuilder builder
To create a new instance of this class, use NXOpen::Die::DieCollection::CastRelief
Default values.

Property Value

AngleTolerance

0.5

CreateSupportCasting

0

DistanceTolerance

0.0254 (millimeters part), 0.001 (inches part)

ReliefDepth.Value

5 (millimeters part), 0.2 (inches part)

Thickness.Value

35 (millimeters part), 1.4 (inches part)


Created in NX6.0.0.

Member Function Documentation

double NXOpen::Die::CastReliefBuilder::AngleTolerance ( )

Returns the angle tolerance
Created in NX6.0.0.



License requirements : None

NXOpen::Die::DiePlaneBuilder* NXOpen::Die::CastReliefBuilder::BaseOrientation ( )

Returns the base orientation of the die casting used for orienting the relief construction
Created in NX6.0.0.



License requirements : None

bool NXOpen::Die::CastReliefBuilder::CreateSupportCasting ( )

Returns the value (true or false) to decide if support casting should be created
Created in NX6.0.0.



License requirements : None

double NXOpen::Die::CastReliefBuilder::DistanceTolerance ( )

Returns the distance tolerance
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::CastReliefBuilder::ReliefDepth ( )

Returns the depth value of the relief
Created in NX6.0.0.



License requirements : None

NXOpen::Section* NXOpen::Die::CastReliefBuilder::ReliefProfile ( )

Returns the closed profiles used for determining the relief
Created in NX6.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Die::CastReliefBuilder::ReliefSheet ( )

Returns the sheet to offset to specify the relief surface
Created in NX6.0.0.



License requirements : None

void NXOpen::Die::CastReliefBuilder::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
angleToleranceangletolerance
void NXOpen::Die::CastReliefBuilder::SetCreateSupportCasting ( bool  createSupportCasting)

Sets the value (true or false) to decide if support casting should be created
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
createSupportCastingcreatesupportcasting
void NXOpen::Die::CastReliefBuilder::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance
Created in NX6.0.0.



License requirements : ug_die_design ("Die Design")

Parameters
distanceTolerancedistancetolerance
NXOpen::SelectNXObject* NXOpen::Die::CastReliefBuilder::SheetMetal ( )

Returns the sheet that specifies the sheet metal surface
Created in NX6.0.0.



License requirements : None

NXOpen::SelectNXObject* NXOpen::Die::CastReliefBuilder::Target ( )

Returns the target solid the relief will be united with
Created in NX6.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Die::CastReliefBuilder::Thickness ( )

Returns the thickness value of the support casting surrounding the relief
Created in NX6.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.